// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// JS SCRIPT 
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



function init_code () {
	
	
	isMobile=""
	
	
	
	android_attivo=0
	ipad_attivo=0
	
	isMobile = {
    Android: function() {
        return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function() {
        return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function() {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function() {
        return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function() {
        return navigator.userAgent.match(/IEMobile/i);
    },
    any: function() {
        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
};


if( isMobile.iOS()) {
	//
	
	};
	
 if( isMobile.Android()) {
	 //
	}; 
	
	hypeApp =   HYPE.documents['index'];
	
	
var div = document.createElement("div");
div.id = "audio_track";
div.style.width = "0px"
div.style.height = "0px";
div.style.cursor="default";
div.style.border = "0px solid";
div.style.zIndex=0
div.style. opacity=0
div.innerHTML = "";



document.body.appendChild(div);
document.getElementById("audio_track" ).style.zIndex = 100;

$('#audio_track').css('position', 'absolute');
$('#audio_track').css('top', 0); //or wherever you want it
$('#audio_track').css('left', 0); //or wherever you want it
document.getElementById('audio_track').innerHTML ="<audio controls='controls' height='50' id='traccia' preload='auto' width='300'><source src=''></audio>";
window.audio_src=""
audio_core=$('#traccia').attr('src', window.audio_src)[0];


	


// 0 = gstep attivo
// 1 = punti step 1
// 2 = punti step 1b
// 3 = punti step 2
// 4 = punti step 2b
// 5 = punti step 3
// 6 = finito



gStep=1
punti_totali=0

punti1=0
punti1b=0
punti2=0
punti2b=0
punti3=0
finito=0


attivo1=1
attivo1b=0
attivo2=0
attivo2b=0
attivo3=0





	
leggi_variabile()


window.audio_src="audio/intro2_low.mp3"
avvia_audio () 	

document.getElementById("punti").innerHTML = "PUNTI: " + punti_totali


document.getElementById("p_riavvia").style.cursor="pointer";
$("#p_riavvia").click(riavvia);



document.getElementById("p_torna").style.cursor="pointer";
$("#p_torna").click(torna);



document.getElementById("p_chiudi").style.cursor="pointer";
$("#p_chiudi").click(p_chiudi);



document.getElementById("p_help").style.cursor="pointer";
$("#p_help").click(p_help);


document.getElementById("istruzioni").style.left = "10000px"

document.getElementById("diploma").style.display = 'none';   

$("#p_riavvia").fadeOut(0)
$("#p_torna").fadeOut(0)



document.getElementById("p_audio").style.cursor="pointer";
$("#p_audio").click(p_audio);





visualizza_consegna()





draw_percorso_points()
draw_percorso()

	
	
}






/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function draw_percorso_points(){
	
	


$('#t1').fadeOut(0)
$('#t2').fadeOut(0)
$('#t3').fadeOut(0)
$('#t4').fadeOut(0)
$('#t5').fadeOut(0)
$('#t6').fadeOut(0)


$('#c1').fadeOut(0)
$('#c2').fadeOut(0)
$('#c3').fadeOut(0)
$('#c4').fadeOut(0)
$('#c5').fadeOut(0)


			
for (i=1; i<=5; i++) { 
$("#b" +i).fadeOut(0)

}

if (attivo1 != 0 ) {
	$("#b" +1).fadeIn(0)
}

if (attivo1 == 2 || attivo1 == 3) {
	$("#c1").fadeIn(0)
	document.getElementById("c1").innerHTML = punti1
} else {
	document.getElementById("c1").innerHTML = ""
}





if (attivo1b != 0) {
	$("#b" +2).fadeIn(0)
}

if (attivo1b == 2 || attivo1b == 3 ) {
	$("#c2").fadeIn(0)
	document.getElementById("c2").innerHTML = punti1b
} else {
	document.getElementById("c2").innerHTML = ""
}




if (attivo2 != 0) {
	$("#b" +3).fadeIn(0)
}


if (attivo2 == 2 || attivo2 == 3 ) {
	$("#c3").fadeIn(0)
	document.getElementById("c3").innerHTML = punti2
} else {
	document.getElementById("c3").innerHTML = ""
}







if (attivo2b != 0 ) {
	$("#b" +4).fadeIn(0)
}



if (attivo2b == 2 || attivo2b == 3 ) {
	$("#c4").fadeIn(0)
	document.getElementById("c4").innerHTML = punti2b
} else {
	document.getElementById("c4").innerHTML = ""
}






if (attivo3 != 0) {
	$("#b" +5).fadeIn(0)
}


if (attivo3== 2 || attivo3 == 3 ) {
	$("#c5").fadeIn(0)
	document.getElementById("c5").innerHTML = punti3
} else {
	document.getElementById("c5").innerHTML = ""
}






if (gStep < 6) {
document.getElementById("b" + gStep).style.cursor="pointer";
document.getElementById("b" + gStep).addEventListener("click", attiva_esercizio);

}





$(function () {
    var $element = $('#b' + gStep);
    function fadeInOut () {
        $element.fadeIn(400, function () {
            $element.fadeOut(400, function () {
                $element.fadeIn(400, function () {
                    setTimeout(fadeInOut, 400);
                });
            });
        });
    }

    fadeInOut();
});

}



/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function visualizza_consegna(){
	
	
	
	if (gStep == 1) {
		
		$("#personaggio").fadeOut(0)
		$("#punti").fadeOut(0)
		$("#1b_normale").fadeIn(0)
		
document.getElementById("consegna").innerHTML = 


"L’ALIENO <b>TUC 8</b> HA UNA MISSIONE SEGRETA:" +  "<br><br>" +

"FARE UN VIAGGIO DAL LONTANISSIMO PIANETA COLOCÒ ALLA <b>TERRA</b>, PER PORTARE A NOI UMANI UN DONO SPECIALE, LA LUCE AZZURRA DELLE <b>STELLE</b> LONTANE." +  "<br><br>" +

"AIUTALO AD ARRIVARE SULLA TERRA PER LA STRADA PIÙ BREVE." +  "<br><br>" +

"OGNI VOLTA CHE OTTERRAI MENO DI <b>3 PUNTI</b> L’UFO DI TUC 8 SI SCARICHERÀ. PER FARLO RIPARTIRE DOVRAI FERMARTI A FARE UN <b>PIENO DI ENERGIA</b>." +  "<br><br>" +


"FAI CLIC SUL PIANETA LAMPEGGIANTE PER SVOLGERE L'ESERCIZIO." +  "<br><br>" +

"<b>BUON VIAGGIO</b>!" 


if( isMobile.Android() || isMobile.iOS()) {
	 
document.getElementById("consegna").style.fontSize = "12px";
document.getElementById("consegna").style.lineHeight = "14px";



	}; 



}


if (gStep == 3 || gStep == 5) {
	
			
if( isMobile.Android() || isMobile.iOS()) {
	 $("#personaggio").fadeOut(0)
} else {
	
	$("#personaggio").fadeIn(0)
} 	
		$("#punti").fadeIn(0)
		$("#1b_normale").fadeOut(0)
    

document.getElementById("consegna").innerHTML = "CONTINUIAMO IL PERCORSO.<br><br>FAI CLIC SUL PIANETA LAMPEGGIANTE PER SVOLGERE L'ESERCIZIO.<br><br>BUON VIAGGIO!"
}


if (gStep == 2 || gStep == 4) {
	
		
if( isMobile.Android() || isMobile.iOS()) {
	 $("#personaggio").fadeOut(0)
} else {
	
	$("#personaggio").fadeIn(0)
} 	
		$("#punti").fadeIn(0)
		$("#1b_normale").fadeOut(0)
    

document.getElementById("consegna").innerHTML = "SERVE UNA SOSTA PER RICARICARE L'UFO DI TUC 8!<br><br>FAI CLIC SUL DISTRIBUTORE DI ENERGIA PER POTER CONTINUARE IL VIAGGIO."
}

	

    if (gStep == 6) {
		
window.audio_src="audio/finale2.mp3"
	$("#1b_normale").fadeOut(0)

	avvia_audio () 	
		
document.getElementById("diploma").style.display = 'block';   

$("#p_help").fadeOut(0)

$("#punti").fadeOut(0)
$("#personaggio").fadeOut(0)

$("#p_contento").fadeOut(0)
$("#p_triste").fadeOut(0)
$("#p_normale").fadeOut(0)


 if (punti_totali < 5) {
	 
	 $("#p_triste").fadeIn(0)
	 
	 document.getElementById("giudizio").innerHTML = "TUC 8 CI HA REGALATO SOLO " + punti_totali + " STELLE."

	 
} else  if (punti_totali >= 4 && punti_totali < 6 ) {
	
	document.getElementById("giudizio").innerHTML = "TUC 8 CI HA REGALATO " + punti_totali + " STELLE."
	
	$("#p_normale").fadeIn(0)
	
} else  if (punti_totali >= 6 && punti_totali < 9 ) {
	
	document.getElementById("giudizio").innerHTML = "TUC 8 CI HA REGALATO " + punti_totali + " STELLE, BELLO!"
	
	$("#p_contento").fadeIn(0)
	
} else  if (punti_totali > 8) {
	
	document.getElementById("giudizio").innerHTML = "TUC 8 CI HA REGALATO TANTISSIME STELLE,<br>CHE DONO STUPENDO!" 
	$("#p_contento").fadeIn(0)
}

document.getElementById("punti_diploma").innerHTML = punti_totali

document.getElementById("consegna").innerHTML = "CONGRATULAZIONI,<br>GRAZIE AL TUO AIUTO <b>TUC 8</b> È ARRIVATO SULLA TERRA!"

//document.getElementById("giudizio").innerHTML = "[GIUDIZIO]"
    




			
for (i=1; i<=9; i++) { 
$("#s" +i).fadeOut(0)

}


			
for (i=1; i<=punti_totali; i++) { 

$("#s" +i).fadeIn(0)



}



$("#p_torna").fadeIn(0)
}

stellainserita=0
stelle_finali()
    
	
 } 
  




/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function attiva_esercizio(){
	
	
	 
window.audio_src="audio/powerup.mp3"
avvia_audio () 	
	
	
	
NomeElementoSelezionato=this.id;
		
		if (NomeElementoSelezionato.length == 2)
				{
				numeroElementoSelezionato = NomeElementoSelezionato.charAt(1);
				
				}
				else if (NomeElementoSelezionato.length == 3)
				{
				numeroElementoSelezionato = NomeElementoSelezionato.charAt(1) + NomeElementoSelezionato.charAt(2) 
				}
				else if (NomeElementoSelezionato.length == 4)
				{
				numeroElementoSelezionato = NomeElementoSelezionato.charAt(1) + NomeElementoSelezionato.charAt(2) + NomeElementoSelezionato.charAt(3);

				}
				
				finito=gStep
				
				texttemp=gStep + "," +
				
				punti1 + "," + 
				
				punti1b+ "," + 
				
				punti2+ "," + 
				
				punti2b+ "," + 
				
				punti3+ "," + 
				
				
				finito + "," +
				
				attivo1+ "," + 
				
				attivo1b+ "," + 
				
				attivo2+ "," + 
				
				attivo2b+ "," + 
				
				attivo3
				
				
				
				
document.getElementById("b" + numeroElementoSelezionato).removeEventListener("click", attiva_esercizio);
				
var ufo = document.getElementById("astronave");
var positionInfoufo = ufo.getBoundingClientRect();
var pheightufo = positionInfoufo.height/2;
var pwidthufo = positionInfoufo.width/2;
				
				
var element = document.getElementById(NomeElementoSelezionato);
var positionInfo = element.getBoundingClientRect();
var pheight = positionInfo.height/2;
var pwidth = positionInfo.width/2;

px= pwidth + hypeApp.getElementProperty(eval ("b" + numeroElementoSelezionato), 'left') -pwidthufo

py= pheight + hypeApp.getElementProperty(eval ("b" + numeroElementoSelezionato), 'top') -pheightufo


				
hypeApp.setElementProperty(astronave, 'left', px, 1.5, 'easeinout');

hypeApp.setElementProperty(astronave, 'top', py, 1.5, 'easeinout', setTimeout(function()

{
	
	


window.location.href = "activities/" + numeroElementoSelezionato +"/index.html?" + texttemp;
	
	
	
	}, 2200));
				
				
				
				
				
				
				
	

	
 } 
  

    


 
 
 
function draw_percorso(){ 



hypeApp =   HYPE.documents['index'];





// 1 to 1b

if (attivo1b != 0)  {


$('#t3').fadeIn(0)


}



// 1 to 2

if (attivo2 != 0 && attivo1b == 0)  {
	
$('#t1').fadeIn(0)

}



// 1b to 2

if (attivo2 != 0 && attivo1b != 0)  {
	
$('#t4').fadeIn(0)

}



// 2 to 2b

if (attivo2b != 0)  {
	
$('#t5').fadeIn(0)

}



// 2b to 3

if (attivo3 != 0 && attivo2b != 0)  {
$('#t6').fadeIn(0)

}



// 2 to 3

if (attivo3 != 0 && attivo2b == 0)  {

$('#t2').fadeIn(0)

}







 }

	





// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// leggi_variabile 
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


function leggi_variabile() { 



var query = window.location.search.substr(1);
  var par = query.split('&'); 
var c=0; var val = new Array();

while(par.length > c){
  val[c] = par[c].split('=');
  c++;
  
}
temp=val[0][0]

array = temp.split(',');


if (array!="") { 



// 0 = gstep attivo
// 1 = punti step 1
// 2 = punti step 1b
// 3 = punti step 2
// 4 = punti step 2b
// 5 = punti step 3

// 6 = finito


//ESEMPIO:
//index.html?0,0,0,0,0,0,0,0,0,0



gStep=array[0]
	
	
punti1=array[1]
punti1b=array[2]
punti2=array[3]
punti2b=array[4]
punti3=array[5]
finito=array[6]

attivo1=array[7]
attivo1b=array[8]
attivo2=array[9]
attivo2b=array[10]
attivo3=array[11]

	
	
	
	punti_totali=
	
	parseInt(array[1])+
	parseInt(array[2])+
	parseInt(array[3])+
	parseInt(array[4])+
	parseInt(array[5])
	
	
	
	
					
var ufo = document.getElementById("astronave");
var positionInfoufo = ufo.getBoundingClientRect();
var pheightufo = positionInfoufo.height/2;
var pwidthufo = positionInfoufo.width/2;
				
				
var element = document.getElementById("b" + finito);
var positionInfo = element.getBoundingClientRect();
var pheight = positionInfo.height/2;
var pwidth = positionInfo.width/2;

px= pwidth + hypeApp.getElementProperty(eval ("b" + finito), 'left') -pwidthufo

py= pheight + hypeApp.getElementProperty(eval ("b" + finito), 'top') -pheightufo



if (finito == 2)  {
	
	px= px +35

	py= py +45

}	


if (finito == 4)  {
	
	px= px -45
	py= py +45

}	


if (finito == 6)  {
	
	px= px -55
	py= py -20

}	


if (finito == 8)  {
	
	px= px -55
	py= py -20

}	

				
				
hypeApp.setElementProperty(astronave, 'left', px, 0, 'easeinout');
hypeApp.setElementProperty(astronave, 'top', py, 0, 'easeinout');
	
	
	
	



}


 }
 
 


// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Funzione avvio audio player 
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 
function avvia_audio () {
		
if( audio_core.readyState === 4) {    
              
         audio_core.pause(); // first pause        
         audio_core.currentTime = 0; // then reset           
         audio_core=$('#traccia').attr('src', window.audio_src)[0];
		audio_core.play() // <- play the song!!!

} else  { 
		

audio_core=$('#traccia').attr('src', window.audio_src)[0];
audio_core.play() // <- play the song!!!

 }	

		
	 }	




/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function riavvia(){
	
	window.location.href = "index.html"
	
}	




/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function torna(){
	
	$("#diploma").fadeOut(0)
	$("#astronave").fadeOut(0)
	
	$("#p_torna").fadeOut(0)
	
	$("#p_riavvia").fadeIn(0)
	$("#punti").fadeIn(0)
	$("#personaggio").fadeIn(0)
	
}	




/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function inizia(){
	
	window.audio_src="audio/notify1.mp3"
	

	avvia_audio () 	
	
	//document.getElementById("istruzioni").style.display = 'none';           // Hide
	document.getElementById("consegna").innerHTML = "CHE NE DICI DI INIZIARE?<br><br>FAI CLIC SUL PIANETA LAMPEGGIANTE PER ACCEDERE ALL'ATTIVITÀ DA SVOLGERE.<br><br>BUON LAVORO!"
	
}	
	


/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function p_audio(){
	
if( gStep == 1) {    
			 
window.audio_src="audio/speech/intro.mp3"
avvia_audio () 	


} else if( gStep == 2 || gStep == 4 ) {    

			 
window.audio_src="audio/speech/intro_sosta.mp3"
avvia_audio () 	


} else if( gStep == 3 || gStep == 5 ) {    

			 
window.audio_src="audio/speech/intro_continua.mp3"
avvia_audio () 	


} else if( gStep == 6) {    

			 
window.audio_src="audio/speech/intro_finale.mp3"
avvia_audio () 	

}	
	
}	




/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function p_help(){
	
	
	
document.getElementById("centrale").style.display = 'none';           // Hide
document.getElementById("laterale").style.display = 'none';           // Hide
document.getElementById("istruzioni").style.left = "0px"
	
}	
	


/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function p_chiudi(){
	
	
document.getElementById("centrale").style.display = 'block';           // Hide
document.getElementById("laterale").style.display = 'block';           // Hide
document.getElementById("istruzioni").style.left = "10000px"
	
}	





/// -----------------------------------------------------------------------------------------------------
/// Function
/// -----------------------------------------------------------------------------------------------------

function stelle_finali(){
	



hypeApp =   HYPE.documents['index'];

stellainserita=stellainserita+1

	



hypeApp.setElementProperty(eval ("s" + stellainserita), 'left', hypeApp.getElementProperty(eval ("stella_grigia" + stellainserita), 'left'), 0.2, 'easeinout');

hypeApp.setElementProperty(eval ("s" + stellainserita), 'top', hypeApp.getElementProperty(eval ("stella_grigia" + stellainserita), 'top'), 0.2, 'easeinout', setTimeout(function()

{
	
	
	if (stellainserita < punti_totali) {
		
		stelle_finali()
	}
	
	}, 200));



	
	
	
}	